> ## Documentation Index
> Fetch the complete documentation index at: https://docs.methodfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a File

Retrieves a File and its metadata, including a temporary `download_url` to
its contents.

A new `download_url` is generated on every retrieve and expires at
`download_expires_at`. URLs are valid for 60 minutes (3600 seconds) by
default. If a URL expires, retrieve the File again to receive a fresh one.

> [!TIP]
>
> To stream the File's contents directly instead of using a temporary URL,
> use [Download a File](https://docs.methodfi.com/2026-03-30/reference/files/download.md).

## Path Parameters

## Returns

Returns a File object.

```bash cURL theme={null}
curl https://production.methodfi.com/files/file_jZWkPMhXPeYAn \
  -H "Method-Version: 2026-03-30" \
  -H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc"
```

```json theme={null}
{
  "id": "file_jZWkPMhXPeYAn",
  "type": "raw_credit_report",
  "mime_type": "application/json",
  "download_url": "https://s3.us-west-2.amazonaws.com/files.dev.methodfi.tldn/artifacts/team_aBcD1234/connect/ent_qKNBB68bfHGNA/cxn_4ewMmBbjYDMR4/raw_credit_report.json?X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Expires=3600&X-Amz-Signature=...",
  "download_expires_at": "2024-04-12T15:56:46.645Z",
  "created_at": "2024-04-12T14:56:46.645Z",
  "updated_at": "2024-04-12T14:56:46.645Z"
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.